.device-modal{

  position:fixed;

  top:0;
  left:0;

  width:100%;
  height:100%;

  background:
    rgba(0,0,0,.7);

  display:flex;

  justify-content:center;
  align-items:center;

  z-index:9999;
}

.hidden{
  display:none;
}

.device-modal-content{

  width:90%;
  max-width:400px;

  background:#07111F;

  border-radius:18px;

  padding:20px;
}

.device-modal-content h3{

  color:white;

  margin-bottom:20px;
}

.device-modal-content input{

  width:100%;

  height:50px;

  margin-bottom:12px;

  border:none;

  border-radius:12px;

  padding:0 15px;

  background:#101B2D;

  color:white;
}



.wallet-btn{

  width:100%;

  height:52px;

  border:none;

  border-radius:14px;

  font-weight:700;

  background:#0FC29B;

  color:white;

  margin-bottom:20px;
}